<?
header("Content-Type: text/html; charset=utf-8");
use_helper('UrlFunctions');


$o_ObjectBean = new CrAsistenciaFN();
  
$tamanioPag = 20;
//$o_ObjectBean->set($txtFechaFinal);  
//if($IdCapitalInicial   !=""){ $o_ObjectBean->setIdCapitalInicial($IdCapitalInicial); }
//if($cboColaborador  !=""){ $o_ObjectBean->setIdColaborador($cboColaborador); } 
//if($cboEstado   !=""){ $o_ObjectBean->setEstado($cboEstado); }
//if($txtFechaInicial   !=""){ $o_ObjectBean->setFecha($txtFechaInicial); }
//if($txtFechaFinal   !=""){ $o_ObjectBean->setFechaFinal($txtFechaFinal); }


//if($Fecha   !=""){ $o_ObjectBean->setFecha($Fecha); }

 $o_ObjectBean->page = $page;
 $o_ObjectBean->tamPag = $tamanioPag;
 $o_ObjectBean->sortCampos = $sortCampos;
 $o_ObjectBean->sortType   = $sortType;

$o_class = new   CapitalInicialBL();
/**********************************/
 if(myUser::getUser()->getIdPadre()=="1"){
	//echo myUser::getUser()->getIdColaborador();
	//$o_ObjectBean->setIdColaboradorPrestamo(myUser::getUser()->getIdColaborador());
	
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult 	= $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador 			= $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }if(myUser::getUser()->getRoleId() == "sys.res"){ 
	$idAdministrador = myUser::getUser()->getIdColaborador();
}

if($idAdministrador){
	
	//Id sucursal
	$o_sucursalBean = new SucursalBean();
	$o_sucursalBean->setIdAdministrador($idAdministrador);
	
	$o_sucursalDP = new SucursalDP($o_sucursalBean);
	$a_o_sucursalDP = $o_sucursalDP->select();
	
	if(is_array($a_o_sucursalDP)){
		foreach ($a_o_sucursalDP as $key => $o_sucursalDP){
			$IdSucursal = $o_sucursalDP->getIdSucursal();
			$FechaIncioBalance = $o_sucursalDP->getFechaInicioBalance();
		}
	}
	
	$o_ColaboradorBean = new ColaboradorBean();
	$o_ColaboradorBean->setIdPadre($idAdministrador);
	$o_ColaboradorBL = new ColaboradorBL();	
	$a_o_Colaborador = $o_ColaboradorBL->busquedaColaborador($o_ColaboradorBean);
	if(is_array($a_o_Colaborador)){
		foreach ($a_o_Colaborador as $key => $o_colaborador){
			$a_Colaborador[] = $o_colaborador->getIdColaborador();
		}
	}
	$o_ObjectBean->setIdColaboradores($a_Colaborador);
	
}

/**********************************/

$a_ObjectBean = $o_class->busquedaCapitalInicial($o_ObjectBean);

$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_class->getCountResult($o_ObjectBean));

$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);

$totalMonto = $o_class->getTotalMonto($o_ObjectBean);

if(!$page) $page = 1;


if(myUser::getUser()->getIdPadre() == "1"){
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	 	
  	$IdPadre = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
}elseif(myUser::getUser()->getIdPadre() == "A"){
	
}else{
	
  	$IdPadre = myUser::getUser()->getIdColaborador();
}
if($IdPadre){
//Sacar el nombre de la sucursal
$o_SucursalBean = new SucursalBean();
$o_SucursalBean->setIdAdministrador($IdPadre);

$o_SucursalBL = new SucursalBL();
$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);


foreach ($a_o_sucursal as $key => $o_sucursal){
	$IdSucursal 	= $o_sucursal->getIdSucursal();
	$NombreSucursal = $o_sucursal->getDescripcion();
}
}

ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>


<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}
?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="35">
                <th width="5%" >Nro</th>
                
                <th width="20%" align="left" >Representante</th>
                <th width="10%" align="right">Monto(S/.)</th>
                <th width="8%" >Estado&nbsp;&nbsp;&nbsp;</th>
                <th width="12%" >Fecha Entrega&nbsp;&nbsp;&nbsp;</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Usr.Creac.</th>
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >Fec.Creac.</th>
              
                <th width="10%">Opciones</th>
              </tr>
              <? if(count($a_ObjectBean)>0){ ?>
              <? foreach ($a_ObjectBean as $iKey => $o_objBean){ ?>
              <tr onClick="TR_click(this);">
                <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
                
                <td align="left"><?echo $o_objBean->getNombreCompleto();?></td>
                <td align="right"><? echo number_format($o_objBean->getMonto(),2); $total +=$o_objBean->getMonto();?></td>
                <td align="center"><? if ($o_objBean->getEstado()=='A'){ echo "Activo";} else { echo "Inactivo";}?></td>
                <td align="center"><?=$o_objBean->getFecha()?></td>
                <td align="center"><?=$o_objBean->getUsuarioCreacion()?></td>
                <td align="center"><?=$o_objBean->getFechaCreacion()?></td>
                <td align="center" valign="top">
                   <img src="/images/common/buttons/btnReview.gif" style="cursor:pointer;" title="Mostrar" onclick="parent.objMainTab.modalDialog('<?=buildUrl('asistencia/show/id/'.$o_objBean->getIdAsistencia());?>','block=001')">&nbsp;
				   <?php 
				   
				    $o_BalanceDia = new BalanceDiaBean();
					$o_BalanceDia->setIdSucursal($IdSucursal);
					$o_BalanceDia->setFechaBalance($o_objBean->getFecha());
					$o_BalanceDia->setFechaBalanceFinal($o_objBean->getFecha());
					$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);
					$a_o_balance = $o_BalanceDiaDP->selectHeader();
				    
					if($o_objBean->getFecha() < $FechaIncioBalance) $a_o_balance = array('1');
					if(!is_array($a_o_balance) && count($a_o_balance) == 0){?>
	                   <input type="image" name="Editar" src="/images/common/buttons/btnEdit.gif" title="Modificar" onclick="parent.objMainTab.modalDialog('<?=buildUrl('asistencia/edit/id/'.$o_objBean->getIdAsistencia())?>','block=001')">&nbsp;
	                   <input type="image" name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="Eliminar" onclick="deleteRegistro('<?=$o_objBean->getIdAsistencia()?>','<?=$o_objBean->getIdAsistencia()?>')">&nbsp;
                  <?php 
					}else{ ?>
    				   	<img name="Editar" src="/images/common/buttons/btnEdit.gif" title="No permitido">&nbsp;
                        <img name="Eliminar" src="/images/common/buttons/btnDelete.gif" title="No permitido">&nbsp;
					   
				   <?php 
				   		
					}
				   ?>
                </td>
              </tr>
              
              <?php } ?>
              <tr>
               <td colspan="2" align="right"><B>Total</B></td>
               <td align="right"><B>S/.<?=number_format($totalMonto,2)?></B></td>
               <td colspan="5" align="right"><B>&nbsp;</B></td>
              <tr>
              <? }else{ ?>
              
                <td colspan="7" align="center">
                   <table class="marco" width="100%" border="0" cellpadding="0" cellspacing="0">
                     <tr>
                       <td>No se produjo resultado</td>
                       
                     </tr>
                   </table> 
                </td>
              </tr>
              <? } ?>
              
            </table>
          </td>
        </tr>
        <tr>
          <td>
          <table class="marco" width="100%" border="0" cellpadding="0" cellspacing="0">
                     <tr>
                       <td>Total Registros:&nbsp;<?php echo count($a_ObjectBean)?></td>
                      
                     </tr>
                   </table> 
         </td>
        </tr>
      </table>